Upstream-Status: Pending
From 82bfdd67422765f9ce4942084f4529ea08e84910 Mon Sep 17 00:00:00 2001
From: Jakob Castro <jakob.castro@amd.com>
Date: Wed, 13 Sep 2023 12:48:24 -0400
Subject: [PATCH 293/295] media: ap1302: fix Kconfig: VIDEO_V4L2 -> VIDEO_DEV

VIDEO_V4L2 no longer exists, instead use VIDEO_DEV. Without this change this driver cannot be selected.
---
 drivers/media/i2c/Kconfig | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/drivers/media/i2c/Kconfig b/drivers/media/i2c/Kconfig
index c684888cd551..70aa614ea4a1 100644
--- a/drivers/media/i2c/Kconfig
+++ b/drivers/media/i2c/Kconfig
@@ -36,7 +36,7 @@ config VIDEO_CCS_PLL
 
 config VIDEO_AP1302
 	tristate "ON Semiconductor AP1302 support"
-	depends on I2C && VIDEO_V4L2 && VIDEO_V4L2_SUBDEV_API
+	depends on I2C && VIDEO_DEV && VIDEO_V4L2_SUBDEV_API
 	select V4L2_FWNODE
 	help
 	  This is a Video4Linux2 sensor-level driver for the ON Semiconductor
-- 
2.34.1

